
rbd - Bug #38006

trash purge tries to remove non-user images

01/22/2019 03:51 PM - Mykola Golub

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Mykola Golub   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: mimic Pull request ID: 26079

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

% rbd create mtest -s 1G                                                             

% rbd migration prepare mtest mtest1

% rbd trash ls

% rbd trash ls --all

b2822870bb1c mtest

% rbd trash purge

2019-01-22 15:46:03.169 7f74317fa700 -1 librbd::image::RefreshRequest: image being migrated

2019-01-22 15:46:03.169 7f7430ff9700 -1 librbd::image::OpenRequest: failed to refresh image: (30) 

Read-only file system

2019-01-22 15:46:03.173 7f7430ff9700 -1 librbd::ImageState: 0x5614ac47d570 failed to open image: (

30) Read-only file system

2019-01-22 15:46:03.177 7f7430ff9700 -1 librbd::image::RemoveRequest: 0x5614ac20e720 handle_open_i

mage: error opening image: (30) Read-only file system

2019-01-22 15:46:03.177 7f7451508500 -1 librbd::api::Trash: remove: error removing image b2822870b

b1c, which is pending deletion

Removing images: 2019-01-22 15:46:03.185 7f7451508500 -1 librbd::api::Trash: purge: remove error: 

(30) Read-only file system

0% complete...failed.

Related issues:

Copied to rbd - Backport #38032: mimic: trash purge tries to remove non-user ... Resolved

History

#1 - 01/22/2019 04:00 PM - Mykola Golub

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 26079

#2 - 01/23/2019 04:48 PM - Jason Dillaman

- Status changed from Fix Under Review to Pending Backport

#3 - 01/24/2019 09:50 AM - Nathan Cutler

- Copied to Backport #38032: mimic: trash purge tries to remove non-user images added

#4 - 01/30/2019 01:33 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved
